# Copyright 2018-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )

inherit distutils-r1

DESCRIPTION="RFC-compliant FQDN validation and manipulation for Python"
HOMEPAGE="
    https://github.com/gilesknap/gphotos-sync/
    https://pypi.org/project/gphotos-sync/
"
SRC_URI="
    https://github.com/gilesknap/${PN}/archive/v${PV}.tar.gz
        -> ${P}.tar.gz
"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"

#>=dev-python/exif-1.6.0
DEPEND="
    >=dev-python/attrs-22.2.0
    >=dev-python/appdirs-1.4.4
    >=dev-python/exif-1.6.0
    >=dev-python/pyyaml-6.0.1
    >=dev-python/psutil-5.9.4
    >=dev-python/google-auth-oauthlib-1.0.0
"

distutils_enable_tests pytest
distutils_enable_sphinx docs

python_prepare_all() {
   export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
   distutils-r1_python_prepare_all
}
